package com.yuchen.saas.integration.feign.api.feign;

import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author 刘通
 * @date 2021/1/3 17:11
 */
@Component
public class CameraClientFallback implements CameraClient {


    /**
     * 获取所有视频流
     * @return
     */
    @Override
    public R<List<Map<String, Object>>> getPreviewUrl() {
        return R.fail("数据返回失败！");
    }

    @Override
    public R<Map<String, Object>> addFace(Map<String, Object> body) {
        return R.fail("添加人脸失败！");
    }

    @Override
    public R<List<Map<String, Object>>> getFaceGroup(Map<String, Object> body) {
        return R.fail("查询人员分组！");
    }

    @Override
    public Map<String, Object> getCountOnlineCamera(String parkId) {
        return new HashMap<>();
    }

    @Override
    public Map<String, Object> getPreviewUrlByCode(String cameraIndexCode,String streamType) {
        return new HashMap<>();
    }
}
